Subject: Re: [PATCH] git-rev-list(1): group options; reformat; document more options

From: Jonas Fonseca <[email-masked]>
Date: Fri, 1 Sep 2006 22:33:48 +0200

Junio C Hamano <[email-masked]> wrote Thu, Aug 31, 2006:
> Linus Torvalds <[email-masked]> writes:
> 
> > On Fri, 1 Sep 2006, Jonas Fonseca wrote:
> >
> >> [The "-r" and "-t" option] do not seem to make sense for
> >> git-rev-list, however if you pass either to git-log, the output
> >> seems to make room for a diff, adding one extra newline, but
> >> without appending any diff.
> >
> > Ahh. I think that a "-r" without any other request for patches (or
> > "--name-status" or similar) should probably imply "--raw". At least
> > that was how it historically worked..

:set paste

commit 17985627455901b6ae3a471b67d46239463cebb5
Author: Timo Hirvonen <[email-masked]>
Date:   Tue Jun 27 16:27:51 2006 +0300

    log --raw: Don't descend into subdirectories by default

    Only do so when -r is given.

> > Anyway, _if_ it ever worked (and I think it did, but I'm way too lazy to 
> > bother checking), this may have been broken by the extensive diff option 
> > cleanups by Timo in June. Timo? Junio?
> 
> I think it did too.  I am kind of surprised that nobody noticed
> and t4013 test (which was done specifically to catch potential
> behaviour change by Timo's patch) did not check for this
> particular case.

commit 0e677e1a6b0d1c0e848ed19d18dda1c3c797c75e
Author: Timo Hirvonen <[email-masked]>
Date:   Sat Jun 24 20:25:08 2006 +0300

    DIFF_FORMAT_RAW is not default anymore

    diff_setup() used to initialize output_format to DIFF_FORMAT_RAW.  Now
    the default is 0 (no output) so don't compare against DIFF_FORMAT_RAW to
    see if any diff format command line flags were given.

:set nopaste

So they are working as intended. I'll look into updating the patch.

BTW, --author=timo made this very easy. ;)

-- 
Jonas Fonseca

-- 
VGER BF report: U 0.5